Package weka.gui.visualize

# Class VisualizeUtils.VisualizeDefaults

java.lang.Object
weka.core.Defaults
weka.gui.visualize.VisualizeUtils.VisualizeDefaults

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  VisualizeUtils

public static class VisualizeUtils.VisualizeDefaults extends Defaults
Defaults for the 2D scatter plot and attribute bars

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Color`
  `AXIS_COLOR`
  Axis colour default
  `static final Settings.SettingKey`
  `AXIS_COLOUR_KEY`
  Axis colour key
  `static final Color`
  `BACKGROUND_COLOR`
  Scatter plot background colour default
  `static final Settings.SettingKey`
  `BACKGROUND_COLOUR_KEY`
  Scatter plot background colour key
  `static final Color`
  `BAR_BACKGROUND_COLOUR`
  Attribute bar background colour key
  `static final Settings.SettingKey`
  `BAR_BACKGROUND_COLOUR_KEY`
  Attribute bar background colour key
  `static final String`
  `ID`
  ID for the metastore

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VisualizeDefaults()`
  Constructor

- ## Method Summary

  ### Methods inherited from class weka.core.Defaults

  `add, getDefaults, getID, setID`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ID

    public static final String ID
    ID for the metastore
    See Also:
      - Constant Field Values

  - ### AXIS_COLOUR_KEY

    public static final Settings.SettingKey AXIS_COLOUR_KEY
    Axis colour key

  - ### AXIS_COLOR

    public static final Color AXIS_COLOR
    Axis colour default

  - ### BACKGROUND_COLOUR_KEY

    public static final Settings.SettingKey BACKGROUND_COLOUR_KEY
    Scatter plot background colour key

  - ### BACKGROUND_COLOR

    public static final Color BACKGROUND_COLOR
    Scatter plot background colour default

  - ### BAR_BACKGROUND_COLOUR_KEY

    public static final Settings.SettingKey BAR_BACKGROUND_COLOUR_KEY
    Attribute bar background colour key

  - ### BAR_BACKGROUND_COLOUR

    public static final Color BAR_BACKGROUND_COLOUR
    Attribute bar background colour key

- ## Constructor Details

  - ### VisualizeDefaults

    public VisualizeDefaults()
    Constructor